curl -X POST https://api.mavioapp.com/v1/templates \
-H "Authorization: Bearer mvo_live_abc123" \
-H "Content-Type: application/json" \
-d '{
"name": "Design Review",
"description": "Structured output for design review meetings.",
"category": "product",
"sections": [
{ "title": "Designs Reviewed", "prompt": "List each design or prototype discussed.", "type": "list" },
{ "title": "Feedback Summary", "prompt": "Summarize the feedback given for each design.", "type": "paragraph" },
{ "title": "Approved Designs", "prompt": "List designs that were approved.", "type": "list" },
{ "title": "Revisions Needed", "prompt": "List designs that need revisions with specific feedback.", "type": "table" },
{ "title": "Next Steps", "prompt": "List action items and deadlines.", "type": "list" }
]
}'
{
"id": "tpl_c4d5e6f7g8h9",
"name": "Design Review",
"description": "Structured output for design review meetings.",
"category": "product",
"type": "custom",
"sections": [
{ "title": "Designs Reviewed", "prompt": "List each design or prototype discussed.", "type": "list" },
{ "title": "Feedback Summary", "prompt": "Summarize the feedback given for each design.", "type": "paragraph" },
{ "title": "Approved Designs", "prompt": "List designs that were approved.", "type": "list" },
{ "title": "Revisions Needed", "prompt": "List designs that need revisions with specific feedback.", "type": "table" },
{ "title": "Next Steps", "prompt": "List action items and deadlines.", "type": "list" }
],
"created_by": "usr_a1b2c3d4e5",
"created_at": "2026-04-14T11:00:00Z"
}
Templates
Create template
Create a custom meeting template with defined sections and AI prompts.
POST
/
v1
/
templates
curl -X POST https://api.mavioapp.com/v1/templates \
-H "Authorization: Bearer mvo_live_abc123" \
-H "Content-Type: application/json" \
-d '{
"name": "Design Review",
"description": "Structured output for design review meetings.",
"category": "product",
"sections": [
{ "title": "Designs Reviewed", "prompt": "List each design or prototype discussed.", "type": "list" },
{ "title": "Feedback Summary", "prompt": "Summarize the feedback given for each design.", "type": "paragraph" },
{ "title": "Approved Designs", "prompt": "List designs that were approved.", "type": "list" },
{ "title": "Revisions Needed", "prompt": "List designs that need revisions with specific feedback.", "type": "table" },
{ "title": "Next Steps", "prompt": "List action items and deadlines.", "type": "list" }
]
}'
{
"id": "tpl_c4d5e6f7g8h9",
"name": "Design Review",
"description": "Structured output for design review meetings.",
"category": "product",
"type": "custom",
"sections": [
{ "title": "Designs Reviewed", "prompt": "List each design or prototype discussed.", "type": "list" },
{ "title": "Feedback Summary", "prompt": "Summarize the feedback given for each design.", "type": "paragraph" },
{ "title": "Approved Designs", "prompt": "List designs that were approved.", "type": "list" },
{ "title": "Revisions Needed", "prompt": "List designs that need revisions with specific feedback.", "type": "table" },
{ "title": "Next Steps", "prompt": "List action items and deadlines.", "type": "list" }
],
"created_by": "usr_a1b2c3d4e5",
"created_at": "2026-04-14T11:00:00Z"
}
Creates a new custom template that can be applied to meetings to structure AI-generated summaries and notes.Documentation Index
Fetch the complete documentation index at: https://docs.mavioapp.com/llms.txt
Use this file to discover all available pages before exploring further.
Display name for the template (e.g., “Sprint Retrospective”).
Brief description of the template’s purpose.
Category for organization. One of
general, sales, product, hr, or custom. Defaults to custom.Response
Returns the created template object with its generated ID.curl -X POST https://api.mavioapp.com/v1/templates \
-H "Authorization: Bearer mvo_live_abc123" \
-H "Content-Type: application/json" \
-d '{
"name": "Design Review",
"description": "Structured output for design review meetings.",
"category": "product",
"sections": [
{ "title": "Designs Reviewed", "prompt": "List each design or prototype discussed.", "type": "list" },
{ "title": "Feedback Summary", "prompt": "Summarize the feedback given for each design.", "type": "paragraph" },
{ "title": "Approved Designs", "prompt": "List designs that were approved.", "type": "list" },
{ "title": "Revisions Needed", "prompt": "List designs that need revisions with specific feedback.", "type": "table" },
{ "title": "Next Steps", "prompt": "List action items and deadlines.", "type": "list" }
]
}'
{
"id": "tpl_c4d5e6f7g8h9",
"name": "Design Review",
"description": "Structured output for design review meetings.",
"category": "product",
"type": "custom",
"sections": [
{ "title": "Designs Reviewed", "prompt": "List each design or prototype discussed.", "type": "list" },
{ "title": "Feedback Summary", "prompt": "Summarize the feedback given for each design.", "type": "paragraph" },
{ "title": "Approved Designs", "prompt": "List designs that were approved.", "type": "list" },
{ "title": "Revisions Needed", "prompt": "List designs that need revisions with specific feedback.", "type": "table" },
{ "title": "Next Steps", "prompt": "List action items and deadlines.", "type": "list" }
],
"created_by": "usr_a1b2c3d4e5",
"created_at": "2026-04-14T11:00:00Z"
}
⌘I